Morpho - Bug #260

acl handling for packages needs to be updated
Description

the package editor components now need to update an acl file for public read
write access instead of setting the public boolean in the URL.

History

#1 - 09/21/2001 10:50 AM - Chad Berkley

| am going to hold off on this bug until after we decide what our different
relationships should be. The problem is, that without scanning every file in a
package looking for a specific publicid (that will probably change) | can't be
sure what file is the access file, so | can't update it (if it already exists).

This will be made much easier one we come up with a discreet set of
relationships in the triples so that | can go straight to the file without

looking at publicids.

#2 - 10/22/2001 05:28 PM - Chad Berkley

changed the functionality in morpho so that the whole package is always governed
by one access file. the access file can be changed to reassign permissions at
the packag level. later, we will need to create a gui for assigning permissions
to individual document in the package if we decide we need that functionality.

#3 - 03/27/2013 02:13 PM - Redmine Admin
Original Bugzilla ID was 260
